Index: /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportAsistant.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportAsistant.php	(revision 462)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportAsistant.php	(revision 462)
@@ -0,0 +1,192 @@
+<?php
+
+if (!defined('BASEPATH'))
+    exit('No direct script access allowed');
+
+class ReportAsistant extends MX_Controller {
+
+const TOKENPW = 'violet';
+
+    public function __construct() {
+        parent::__construct();
+        $this->load->helper('cookie');
+    }
+
+    public function index() {
+        $data = array();
+        $admin_info = $this->session->userdata('adminInfo');
+        if ($admin_info) {
+            $data['statistics'] = $this->getStatistics();
+            $data['content'] = $this->getCollaborators();
+            $this->load->view('reportAsistant/index', $data);
+        } else {
+            $this->load->view('login');
+        }
+    }
+    public function viewAsistant()
+    { 
+        $data = array();
+        $admin_info = $this->session->userdata('adminInfo');
+        if ($admin_info) {
+            $data['statistics'] = $this->getStatistics();
+            $data['content'] = $this->getPaidlogs();
+            $this->load->view('reportAsistant/index', $data);
+        } else {
+            $this->load->view('login');
+        }
+    }
+
+    public function getStatistics() {
+        $data = array();
+
+        $this_year['start'] = strtotime(date("Y") . "-01-01 00:00:00");
+
+        $this->load->model('collabolator_model');
+        $collaborators = $this->collabolator_model->getAllCollaboratorUser($this_year['start']);
+        for ($i=1;$i<=12;$i++)
+            {
+            $statistics[$i]=0;
+            }
+        $y=date("Y");
+        foreach ($collaborators as $collaborator) {
+            for ($i=1;$i<=12;$i++)
+            {
+                if ($i<12)
+                {
+                if (($collaborator['time'] > strtotime($y."-".$i."-1 00:00:00")) && (($collaborator['time'] < strtotime($y."-".($i+1)."-1 00:00:00"))))
+                {
+                    $statistics[$i]++;
+                }
+                }
+                else
+                {
+                 if (($collaborator['time'] > strtotime($y."-".$i."-1 00:00:00")) && (($collaborator['time'] < strtotime(($y+1)."-1-1 00:00:00"))))
+                {
+                    $statistics[$i]++;
+                }   
+                }
+            }
+        }
+        
+        $max = 0;
+        foreach ($statistics as $index => $total) {
+            if ($total > $max) {
+                $max = $total;
+            }
+            $chart[] = array($index, $total);
+        }
+
+        $data['max'] = $max;
+        $chard[] = array("color" => "#e67e22", "label" => "LÆ°á»£ng ngÆ°á»i dÃ¹ng giá»i thiá»u bá»i cá»ng tÃ¡c viÃªn theo tá»«ng thÃ¡ng", "data" => $chart);
+        $data['chard'] = $chard;
+
+        return $this->load->view('reportAsistant/statistics', $data, true);
+    }
+
+    public function getLastquarter() {
+        $current_month = date('m');
+        $current_year = date('Y');
+
+        if ($current_month >= 1 && $current_month <= 3) {
+            $start_date = strtotime('1-October-' . ($current_year - 1));  // timestamp or 1-October Last Year 12:00:00 AM
+            $end_date = strtotime('1-Janauary-' . $current_year);  // // timestamp or 1-January  12:00:00 AM means end of 31 December Last year
+        } else if ($current_month >= 4 && $current_month <= 6) {
+            $start_date = strtotime('1-January-' . $current_year);  // timestamp or 1-Janauray 12:00:00 AM
+            $end_date = strtotime('1-April-' . $current_year);  // timestamp or 1-April 12:00:00 AM means end of 31 March
+        } else if ($current_month >= 7 && $current_month <= 9) {
+            $start_date = strtotime('1-April-' . $current_year);  // timestamp or 1-April 12:00:00 AM
+            $end_date = strtotime('1-July-' . $current_year);  // timestamp or 1-July 12:00:00 AM means end of 30 June
+        } else if ($current_month >= 10 && $current_month <= 12) {
+            $start_date = strtotime('1-July-' . $current_year);  // timestamp or 1-July 12:00:00 AM
+            $end_date = strtotime('1-October-' . $current_year);  // timestamp or 1-October 12:00:00 AM means end of 30 September
+        }
+        return array("start" => $start_date, "end" => $end_date);
+    }
+
+    public function getCollaborators($filters = array()) {
+
+        $this->load->helper('pagging');
+        $this->load->model('collabolator_model');
+        $data['current_page'] = $this->uri->segment(4, 1);
+        $data['itemsoptions'] = array(10, 25, 50, 100);
+        $data['perpage'] = 10;
+        $data['keyword'] = "";
+        $data['sorting_order'] = "sorting_desc";
+        $data['sorting_field'] = "id";
+
+        if ($this->input->post('sorting_order')) {
+            if ($this->input->post('sorting_order') != "sorting") {
+                $data['sorting_order'] = $this->input->post('sorting_order');
+                $data['sorting_field'] = $this->input->post('sorting_field');
+            }
+        }
+        if ($this->input->post('items')) {
+            $data['perpage'] = $this->input->post('items');
+        }
+        if ($this->input->post('keyword')) {
+            $data['search_field'] = "";
+            $data['keyword'] = $this->input->post('keyword');
+
+            if (preg_match("/[0-9]/", $data['keyword'])) {
+                $data['search_field'] = "cellphone";
+            }
+        }
+
+        $data['start'] = ($data['current_page'] - 1) * $data['perpage'];
+        $data['total'] = 100; //$this->collabolator_model->countPaidlog($data);
+        $data['paidlogs'] = $this->collabolator_model->getCountCollaboratorUser($data);
+
+        $data['paging_url'] = base_url() . "/admin/thong_ke_cong_tac_vien/trang/";
+        $data['num_links'] = 2;
+        $data['paging'] = pagging($data);
+
+        if ($this->input->is_ajax_request()) {
+            return $this->load->view('reportAsistant/listview', $data);
+        }
+        return $this->load->view('reportAsistant/listview', $data, true);
+    }
+
+    public function get_username($us_id) {
+        $src = 'violet';
+        $token = md5($us_id . self::TOKENPW);
+        $this->load->model('user_model');
+        $data = $this->user_model->get_user_info($src, $us_id, $token);
+        if (strlen($data) > 0) {
+            $arr_users = explode("&", $data);
+            $str_username = $arr_users[1];
+            $arr_username = explode("=", $str_username);
+            return $arr_username[1];
+        } else {
+            return "";
+        }
+    }
+
+    public function test() {
+
+
+        for ($i = 1; $i <= 5000; $i++) {
+            $input['us_id'] = rand(1, 100);
+            $input['paid_type'] = rand(1, 2);
+            $input['amount'] = rand(3, 10) * 1000;
+            $time = (rand((time() - (12 * 30 * 24 * 60 * 60)), time()));
+            $input['paid_time'] = date("Y-m-d H:i:s", $time);
+            $this->load->model('paidlog_model');
+            $this->paidlog_model->insert($input);
+        }
+
+        die();
+
+        for ($i = 1; $i <= 100; $i++) {
+            $input['us_id'] = $i;
+            $input['cellphone'] = "01234567" . (100 + $i);
+            $input['collaborator'] = rand(1, 100);
+            $input['acc_balanced'] = rand(100000, 1000000);
+            $input['expire_date'] = date("Y-m-d H:i:s", time());
+            $input['created_time'] = date("Y-m-d H:i:s", time());
+            $input['updated_time'] = date("Y-m-d H:i:s", time());
+            $this->load->model('user_model');
+            $this->user_model->insert($input);
+        }
+    }
+
+}
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/deleteSms.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/deleteSms.php	(revision 462)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/deleteSms.php	(revision 462)
@@ -0,0 +1,81 @@
+ 
+    <div class="modal-dialog">
+        <div class="modal-content">
+            <div class="modal-header no-padding">
+                <div class="table-header">
+                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
+                        <span class="white">Ã</span>
+                    </button>
+                    Máº«u tin nháº¯n
+                </div>
+            </div>
+
+            <div class="modal-body">
+                <form id="delete_sms_<?php echo $sms_id;?>" onsubmit="return false;" class="form-horizontal" role="form">
+                    <input type="hidden" value="<?php echo $sms_id?>" name="sms_id" />
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Máº«u tin nháº¯n </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input disabled name="sms_content" type="text" id="form-field-1" placeholder="Máº«u tin nháº¯n" value="<?php echo $sms_content;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Tin tráº£ lá»i </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input disabled name="sms_reply" type="text" id="form-field-1" placeholder="Tin tráº£ lá»i"  value="<?php echo $sms_reply;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ dá»ch vá»¥</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  disabled name="service_id" type="text" id="form-field-1" placeholder="MÃ£ dá»ch vá»¥"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ lá»nh</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  disabled name="commandcode" type="text" id="form-field-1" placeholder="MÃ£ lá»nh"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    
+                   
+                    <div class="space-4"></div>
+<div class="form-group errors" id="add_sms_<?php echo $sms_id;?>"></div>
+                    
+
+                    <div class="space-4"></div>
+                    <div class="form-group errors" id="error_delete_sms_<?php echo $sms_id;?>"></div>
+                        
+                    </div>
+                    <div class="clearfix form-actions">
+                        <div class="col-md-offset-3 col-md-9">
+                            <a href="#" class="btn btn-primary" onclick="return deletesms('<?php echo $sms_id;?>')">XÃ³a cá»ng tÃ¡c viÃªn nÃ y</a>
+                            <a href="#" id="close_delete_sms_<?php echo $sms_id;?>" class="btn btn-primary" data-dismiss="modal">ÄÃ³ng cá»­a sá»</a>
+
+                            
+                        </div>
+                    </div>
+
+                </form></div>
+
+        </div>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/editSms.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/editSms.php	(revision 462)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/editSms.php	(revision 462)
@@ -0,0 +1,81 @@
+ 
+    <div class="modal-dialog">
+        <div class="modal-content">
+            <div class="modal-header no-padding">
+                <div class="table-header">
+                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
+                        <span class="white">Ã</span>
+                    </button>
+                    Máº«u tin nháº¯n
+                </div>
+            </div>
+
+            <div class="modal-body">
+                <form id="editSms_<?php echo $sms_id;?>" onsubmit="return false;" class="form-horizontal" role="form">
+                    <input type="hidden" name="sms_id" value="<?php echo $sms_id;?>">
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Máº«u tin nháº¯n </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  name="sms_content" type="text" id="form-field-1" placeholder="Máº«u tin nháº¯n" value="<?php echo $sms_content;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Tin tráº£ lá»i </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  name="sms_reply" type="text" id="form-field-1" placeholder="Tin tráº£ lá»i"  value="<?php echo $sms_reply;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ dá»ch vá»¥</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input   name="service_id" type="text" id="form-field-1" placeholder="MÃ£ dá»ch vá»¥"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ lá»nh</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input   name="commandcode" type="text" id="form-field-1" placeholder="MÃ£ lá»nh"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    
+                   
+                    <div class="space-4"></div>
+
+                    
+
+                    <div class="space-4"></div>
+                    <div class="form-group errors" id="add_user"></div>
+                        
+                    </div>
+                    <div class="clearfix form-actions">
+                        <div class="col-md-offset-3 col-md-9">
+                            <a href="#" class="btn btn-primary" onclick="return updatesms('<?php echo $sms_id;?>')">Cáº­p nháº­t</a>
+                            <a href="#" class="btn btn-primary" id="close_edit_sms_<?php echo $sms_id;?>" data-dismiss="modal">ÄÃ³ng cá»­a sá»</a>
+
+                            
+                        </div>
+                    </div>
+
+                </form></div>
+
+        </div>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/index.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/index.php	(revision 462)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/index.php	(revision 462)
@@ -0,0 +1,207 @@
+<?php
+$base_url = base_url();
+$this->load->view('layout/admin/header', array('base_url' => $base_url));
+$this->load->view('layout/admin/sidebar', array('base_url' => $base_url, 'method'=>$this->router->method, 'class'=>$this->router->class  ));
+?>
+<script type="text/javascript">
+    function init_page()
+    {
+
+        $(".ajax_paging").click(function () {
+            $.ajax({
+                url: $(this).attr("href"),
+                type: "POST",
+                data: $("#collaborator").serialize(),
+                success: function (data, textStatus, jqXHR)
+                {
+                    // $result = jQuery.parseJSON(data);
+                    $("#content").html(data);
+                    init_page();
+
+                },
+                error: function (jqXHR, textStatus, errorThrown)
+                {
+                    $(".ajaxloading").hide();
+                }
+            });
+            return false;
+        })
+        $('#keyword').keyup(function (event) {
+            if (event.keyCode == '13') {
+                filter();
+            }
+            return false;
+        });
+        
+        
+        $( '.sorting, .sorting_desc, .sorting_asc' ).click(function( index ) {
+            var current_class=$( this ).attr('class');
+            $(".sorting_desc").attr("class","sorting");
+            $(".sorting_asc").attr("class","sorting");
+     
+            if(current_class=='sorting')
+            {
+                $(this).attr("class","sorting_desc");
+            }
+            else
+            {
+                if(current_class=='sorting_desc')
+                {
+                    $(this).attr("class","sorting_asc");
+                }
+                else
+                    {
+                    if(current_class=='sorting_asc')
+                    {
+                        $(this).attr("class","sorting");
+                    }
+                }
+            }
+            $("#sorting_field").val($(this).attr("id"));
+            $("#sorting_order").val($(this).attr("class"));
+            filter();
+        });
+        $('[data-toggle="ajaxModal"]').on('click',
+              function(e) {
+                $('#ajaxModal').remove();
+                e.preventDefault();
+                var $this = $(this)
+                  , $remote = $this.data('remote') || $this.attr('href')
+                  , $modal = $('<div class="modal" id="ajaxModal"><div class="modal-body"></div></div>');
+                $('body').append($modal);
+                $modal.modal({backdrop: 'static', keyboard: false});
+                $modal.load($remote);
+              }
+            );
+
+
+
+				$('#sales-charts').css({'width':'100%' , 'height':'200px'});
+				$.plot("#sales-charts", <?php echo json_encode($chard) ?>, {
+					hoverable: true,
+					shadowSize: 0,
+					series: {
+						lines: { show: true },
+						points: { show: true }
+					},
+					xaxis: {
+						tickLength: 0
+					},
+					yaxis: {
+						ticks: 10,
+						min: 0,
+						max:<?php echo $max;?>,
+						tickDecimals: 0
+					},
+					grid: {
+						backgroundColor: { colors: [ "#fff", "#fff" ] },
+						borderWidth: 1,
+						borderColor:'#555'
+					}
+				});
+    }
+
+
+    function filter()
+    {
+        $.ajax({
+            url: '<?php echo base_url();?>admin/thong_ke_cong_tac_vien/trang/1',
+            type: "POST",
+            data: $("#collaborator").serialize(),
+            success: function (data, textStatus, jqXHR)
+            {
+                // $result = jQuery.parseJSON(data);
+                $("#content").html(data);
+                init_page();
+                $("#keyword").focus();
+                $("#keyword").setCursorToTextEnd();
+
+            },
+            error: function (jqXHR, textStatus, errorThrown)
+            {
+                $(".ajaxloading").hide();
+            }
+        });
+    }
+
+
+</script>
+<style type="text/css" media="screen">
+			.widget-header-flat {
+				background: #307ecc;
+				color: #fff
+			}
+			.widget-toolbar>[data-action="collapse"], .header-color-dark>.widget-toolbar>[data-action="collapse"] {
+				color: #fff
+			}
+			.widget-header, .widget-content {
+				width: auto
+			}
+			.widget-body .table thead:first-child tr {
+				background: #EDECEC;
+			    color: #707070;
+			    font-weight: normal;
+			}
+		</style>
+             
+<div class="main-content" >
+    <div id="breadcrumbs" class="breadcrumbs">
+
+    <ul class="breadcrumb">
+        <li>
+            <i class="icon-home home-icon"></i>
+            <a href="#">Trang chá»§</a>
+        </li>
+
+        <li>
+            <a href="#">Thá»ng kÃª cá»ng tÃ¡c viÃªn</a>
+        </li>
+        
+    </ul><!-- .breadcrumb -->
+
+    <div id="nav-search" class="nav-search">
+        <form class="form-search">
+            <span class="input-icon">
+                <input type="text" autocomplete="off" id="nav-search-input" class="nav-search-input" placeholder="TÃ¬m kiáº¿m ...">
+                <i class="icon-search nav-search-icon"></i>
+            </span>
+        </form>
+    </div><!-- #nav-search -->
+</div>
+    
+    
+    
+    
+<div class="page-content">
+    
+    <div class="page-header">
+        <h1>
+            BÃ¡o cÃ¡o
+            <small>
+                <i class="icon-double-angle-right"></i>
+                Thá»ng kÃª cá»ng tÃ¡c viÃªn
+            </small>
+        </h1>
+    </div><!-- /.page-header -->
+    
+     <div class="row">  
+    <?php echo $statistics; ?>   
+     </div>
+     <div class="row" id="content">    
+    <?php echo $content; ?>
+     </div>
+    </div>
+</div><!-- /.main-content -->
+</div><!-- /.main-container-inner -->
+
+<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
+    <i class="icon-double-angle-up icon-only bigger-110"></i>
+</a>
+</div><!-- /.main-container -->
+
+
+
+</div><!-- /.modal-dialog -->
+<?php
+$this->load->view('layout/admin/footer', array('base_url' => $base_url));
+?>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/listview.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/listview.php	(revision 462)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/listview.php	(revision 462)
@@ -0,0 +1,112 @@
+
+
+   
+        <div class="col-xs-12">
+            <!-- PAGE CONTENT BEGINS -->
+            <div style="padding-bottom:4px" class="table-header">
+                Doanh thu
+            </div>
+
+            <div class="table-responsive">
+                <div role="grid" class="dataTables_wrapper" id="sample-table-2_wrapper">
+                    <form autocomplete="off" onsubmit="return false;" id="collaborator" >
+                        <div class="row">
+                            <div class="col-sm-6">
+                                <div id="sample-table-2_length" class="dataTables_length"><label>Hiá»n thá» 
+                                        <select onchange="filter();" name="items" size="1" aria-controls="sample-table-2">                                      
+                                            <?php foreach ($itemsoptions as $option) { ?>
+                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?=$option?>"><?=$option?></option>
+                                            <?php } ?>
+                                        </select> báº£n ghi</label>
+
+                                </div>
+                            </div>
+
+                            <div class="col-sm-6">
+                                <div class="dataTables_filter" id="sample-table-2_filter">
+                                    <label>TÃ¬m kiáº¿m: 
+                                        <input type="text" name="keyword" id="keyword" value='<?php echo $keyword;?>' aria-controls="sample-table-2"></label>
+                                </div>
+                            </div>
+                        </div>
+                        <input type="hidden" name="sorting_order" id="sorting_order" value="<?php echo $sorting_order;?>" />
+                        <input type="hidden" name="sorting_field" id="sorting_field" value="<?php echo $sorting_field;?>"/>
+                    </form>
+                    <table class="table table-striped table-bordered table-hover dataTable" id="sample-table-2" aria-describedby="sample-table-2_info">
+                        <thead>
+                            <tr role="row">
+                                <th class="center sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 44px;" aria-label="">
+                                    <label>
+                                        <input type="checkbox" class="ace">
+                                        <span class="lbl"></span>
+                                    </label>
+                                </th>
+                                <th class="<?php if ($sorting_field == 'full_name') {echo $sorting_order;} else {echo "sorting";}?>" id="full_name" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">TÃªn cá»ng tÃ¡c viÃªn</th>
+                                <th class="<?php if ($sorting_field == 'collaborator_cellphone') {echo $sorting_order;} else {echo "sorting";}?>" id="collaborator_cellphone" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 283px;" aria-label="Há» tÃªn: activate to sort column ascending">Sá» Äiá»n thoáº¡i</th>
+                                <th class="<?php if ($sorting_field == 'total_user') {echo $sorting_order;} else {echo "sorting";}?>" id="total_user" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">ÄÃ£ giá»i thiá»u</th>  
+                                <th class="<?php if ($sorting_field == 'collaborator_created_time') {echo $sorting_order;} else {echo "sorting";}?>" id="collaborator_created_time" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 209px;" aria-label="NgÃ y ÄÄng kÃœ: activate to sort column ascending">NgÃ y ÄÄng kÃœ</th>
+                                  
+                        </thead>
+
+
+                        <tbody role="alert" aria-live="polite" aria-relevant="all">
+                            
+                            <?php
+                            foreach ($paidlogs as $paidlog) {
+                                ?>
+                            <tr class="odd">
+                                <td class="center  sorting_1">
+                                    <label>
+                                        <input type="checkbox" class="ace">
+                                        <span class="lbl"></span>
+                                    </label>
+                                </td>
+
+                                <td class=" ">
+                                    <a href="<?php echo base_url();?>admin/thong_ke_cong_tac_vien/<?php echo $paidlog['id']?>"><?php echo $paidlog['full_name'];?></a>
+                                </td>
+                                <td class=" "><?php echo $paidlog['collaborator_cellphone']?></td>
+                                
+                                <td class="hidden-480 "><?php echo $paidlog['total_user'];?></td>
+                                <td class="hidden-480 "><?php echo $paidlog['collaborator_created_time'];?></td>
+                                
+                               
+
+                                
+                            </tr>
+                            <?php } ?>
+
+
+
+
+
+
+
+                        </tbody></table><div class="row"><div class="col-sm-6">
+                                <div class="dataTables_info" id="sample-table-2_info">Hiá»n thá» <?php echo ($start+1)?> Äáº¿n <?php echo ($start+$perpage)?> cá»§a <?php echo $total?> báº£n ghi</div>
+                                    
+                            </div>
+                        <div class="col-sm-6">
+                            <div class="dataTables_paginate paging_bootstrap">
+                                <ul class="pagination">
+                                    <?php echo $paging; ?>
+                                </ul>
+                            </div>
+                        </div>
+                    </div>
+
+                </div>
+            </div>
+
+            
+        </div>
+
+
+<script type="text/javascript">
+    window.onload = function ()
+    {
+        init_page();
+    }
+
+
+</script>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/statistics.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/statistics.php	(revision 462)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/statistics.php	(revision 462)
@@ -0,0 +1,28 @@
+<div class="col-xs-12">
+    <!-- PAGE CONTENT BEGINS -->
+    <div class="col-xs-12 no-padding">
+        <div class="widget-box no-border">
+            <div class="widget-header widget-header-flat">
+                <h4 class="lighter">
+                    <i class="icon-signal"></i>
+                    Biá»u Äá» ngÆ°á»i dÃ¹ng do cá»ng tÃ¡c viÃªn giá»i thiá»u
+                </h4>
+
+                <div class="widget-toolbar">
+                    <a data-action="collapse" href="#">
+                        <i class="icon-chevron-up"></i>
+                    </a>
+                </div>
+            </div>
+            
+            <div class="widget-body">
+                <div class="widget-main padding-4">
+                    <div id="sales-charts"></div>
+                </div><!-- /widget-main -->
+            </div>
+            
+        </div><!-- /widget-box -->
+    </div>
+
+    <div class="clearfix"></div>
+</div>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/viewSms.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/viewSms.php	(revision 462)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/viewSms.php	(revision 462)
@@ -0,0 +1,79 @@
+ 
+    <div class="modal-dialog">
+        <div class="modal-content">
+            <div class="modal-header no-padding">
+                <div class="table-header">
+                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
+                        <span class="white">Ã</span>
+                    </button>
+                    Máº«u tin nháº¯n
+                </div>
+            </div>
+
+            <div class="modal-body">
+                <form id="add_user" onsubmit="return false;" class="form-horizontal" role="form">
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Máº«u tin nháº¯n </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input disabled name="sms_content" type="text" id="form-field-1" placeholder="Máº«u tin nháº¯n" value="<?php echo $sms_content;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Tin tráº£ lá»i </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input disabled name="sms_reply" type="text" id="form-field-1" placeholder="Tin tráº£ lá»i"  value="<?php echo $sms_reply;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ dá»ch vá»¥</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  disabled name="service_id" type="text" id="form-field-1" placeholder="MÃ£ dá»ch vá»¥"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ lá»nh</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input  disabled name="commandcode" type="text" id="form-field-1" placeholder="MÃ£ lá»nh"  value="<?php echo $service_id;?>">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    
+                   
+                    <div class="space-4"></div>
+
+                    
+
+                    <div class="space-4"></div>
+                    <div class="form-group errors" id="add_user"></div>
+                        
+                    </div>
+                    <div class="clearfix form-actions">
+                        <div class="col-md-offset-3 col-md-9">
+                            <a href="#" class="btn btn-primary" data-dismiss="modal">ÄÃ³ng cá»­a sá»</a>
+
+                            
+                        </div>
+                    </div>
+
+                </form></div>
+
+        </div>