Index: pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportAsistant.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportAsistant.php	(revision 463)
+++ pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportAsistant.php	(revision 464)
@@ -27,8 +27,9 @@
     { 
         $data = array();
+        $id=$this->uri->segment(3);
         $admin_info = $this->session->userdata('adminInfo');
         if ($admin_info) {
-            $data['statistics'] = $this->getStatistics();
-            $data['content'] = $this->getPaidlogs();
+            $data['statistics'] = $this->getStatistics($id);
+            $data['content'] = $this->getCollaboratorsUsers(array(),$id);
             $this->load->view('reportAsistant/index', $data);
         } else {
@@ -37,5 +38,5 @@
     }
 
-    public function getStatistics() {
+    public function getStatistics($id=false) {
         $data = array();
 
@@ -43,5 +44,5 @@
 
         $this->load->model('collabolator_model');
-        $collaborators = $this->collabolator_model->getAllCollaboratorUser($this_year['start']);
+        $collaborators = $this->collabolator_model->getAllCollaboratorUser($this_year['start'],$id);
         for ($i=1;$i<=12;$i++)
             {
@@ -134,5 +135,5 @@
 
         $data['start'] = ($data['current_page'] - 1) * $data['perpage'];
-        $data['total'] = 100; //$this->collabolator_model->countPaidlog($data);
+        $data['total'] = $this->collabolator_model->countCountCollaboratorUser($data);
         $data['paidlogs'] = $this->collabolator_model->getCountCollaboratorUser($data);
 
@@ -145,4 +146,48 @@
         }
         return $this->load->view('reportAsistant/listview', $data, true);
+    }
+    
+    public function getCollaboratorsUsers($filters = array(),$id=false) {
+
+        $this->load->helper('pagging');
+        $this->load->model('collabolator_model');
+        $data['current_page'] = $this->uri->segment(4, 1);
+        $data['itemsoptions'] = array(10, 25, 50, 100);
+        $data['perpage'] = 10;
+        $data['id']=$id;
+        $data['keyword'] = "";
+        $data['sorting_order'] = "sorting_desc";
+        $data['sorting_field'] = "id";
+
+        if ($this->input->post('sorting_order')) {
+            if ($this->input->post('sorting_order') != "sorting") {
+                $data['sorting_order'] = $this->input->post('sorting_order');
+                $data['sorting_field'] = $this->input->post('sorting_field');
+            }
+        }
+        if ($this->input->post('items')) {
+            $data['perpage'] = $this->input->post('items');
+        }
+        if ($this->input->post('keyword')) {
+            $data['search_field'] = "";
+            $data['keyword'] = $this->input->post('keyword');
+
+            if (preg_match("/[0-9]/", $data['keyword'])) {
+                $data['search_field'] = "cellphone";
+            }
+        }
+
+        $data['start'] = ($data['current_page'] - 1) * $data['perpage'];
+        $data['total'] = $this->collabolator_model->countCountCollaboratorUsers($data);
+        $data['paidlogs'] = $this->collabolator_model->getCountCollaboratorUsers($data);
+
+        $data['paging_url'] = base_url() . "/admin/thong_ke_cong_tac_vien/trang/";
+        $data['num_links'] = 2;
+        $data['paging'] = pagging($data);
+
+        if ($this->input->is_ajax_request()) {
+            return $this->load->view('reportAsistant/listview_user', $data);
+        }
+        return $this->load->view('reportAsistant/listview_user', $data, true);
     }
 
Index: pro-violet-viettel/sourcecode/application/modules/admin/models/collabolator_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/models/collabolator_model.php	(revision 463)
+++ pro-violet-viettel/sourcecode/application/modules/admin/models/collabolator_model.php	(revision 464)
@@ -34,15 +34,47 @@
         return $this->db->query($sql . " " . $order . " LIMIT " . $data['start'] . ", " . $data['perpage'] . " ")->result_array();
     }
-    function getAllCollaboratorUser($from)
+    function getAllCollaboratorUser($from,$id=false)
     {
         $from = date("Y-m-d 00:00:00",$from); 
-        $sql="SELECT *,tblcollaborator.created_time as collaborator_created_time, tbluser.created_time as user_created_time  FROM ".$this->table_name." INNER JOIN tbluser ON tbluser.collaborator = tblcollaborator.id WHERE tbluser.created_time > '".$from."'";
-
-        $result = $this->db->query($sql)->result_array();
-        foreach ($result as $index=>$paidlog)
-        {
-            $result[$index]['time']=  strtotime($paidlog['user_created_time']);
-        }
-        return $result;
+        $where="";
+        if ($id)
+        {
+            $where = " AND tbluser.collaborator = $id ";
+        }
+        $sql="SELECT *,tblcollaborator.created_time as collaborator_created_time, tbluser.created_time as user_created_time  FROM ".$this->table_name." INNER JOIN tbluser ON tbluser.collaborator = tblcollaborator.id WHERE tbluser.created_time > '".$from."'".$where."";
+
+        $result = $this->db->query($sql)->result_array();
+        foreach ($result as $index=>$paidlog)
+        {
+            $result[$index]['time']=  strtotime($paidlog['user_created_time']);
+        }
+        return $result;
+    }
+    function countCountCollaboratorUser($data)
+    {
+        $order = "";
+        if ($data['sorting_order'] != "sorting") {
+            
+                $sort = "DESC";
+                if ($data['sorting_order'] == "sorting_asc")
+                    $sort = "ASC";
+                $order = "ORDER BY " . $data['sorting_field'] . " " . $sort;
+            
+        }
+        $where="";
+        if ($data['keyword']) {
+            if ($data['search_field'] == "cellphone") {
+                $where.=" WHERE (tblcollaborator.cellphone LIKE '%" . $data['keyword'] . "%')";
+            } else {
+                $where.=" WHERE (full_name LIKE '%" . $data['keyword'] . "%' OR login_name LIKE '%" . $data['keyword'] . "%') ";
+            }
+        }
+       // $from = date("Y-m-d 00:00:00",$from); 
+        $sql="SELECT *,tblcollaborator.created_time as collaborator_created_time,tblcollaborator.cellphone as collaborator_cellphone, tbluser.created_time as user_created_time, COUNT(tbluser.collaborator) as total_user  FROM ".$this->table_name." INNER JOIN tbluser ON tbluser.collaborator = tblcollaborator.id ".$where." GROUP BY tblcollaborator.id ".$order." ";
+        
+        $result = $this->db->query($sql)->result_array();
+        
+
+        return count($result);
     }
     function getCountCollaboratorUser($data)
@@ -67,13 +99,75 @@
        // $from = date("Y-m-d 00:00:00",$from); 
         $sql="SELECT *,tblcollaborator.created_time as collaborator_created_time,tblcollaborator.cellphone as collaborator_cellphone, tbluser.created_time as user_created_time, COUNT(tbluser.collaborator) as total_user  FROM ".$this->table_name." INNER JOIN tbluser ON tbluser.collaborator = tblcollaborator.id ".$where." GROUP BY tblcollaborator.id ".$order." LIMIT " . $data['start'] . ", " . $data['perpage'] . " ";
-        echo $sql;
-        $result = $this->db->query($sql)->result_array();
-        foreach ($result as $index=>$paidlog)
-        {
-            $result[$index]['time']=  strtotime($paidlog['user_created_time']);
-        }
-
-        return $result;
-    }
+        
+        $result = $this->db->query($sql)->result_array();
+        foreach ($result as $index=>$paidlog)
+        {
+            $result[$index]['time']=  strtotime($paidlog['user_created_time']);
+        }
+
+        return $result;
+    }
+    
+        function countCountCollaboratorUsers($data)
+    {
+        $order = "";
+        if ($data['sorting_order'] != "sorting") {
+            
+                $sort = "DESC";
+                if ($data['sorting_order'] == "sorting_asc")
+                    $sort = "ASC";
+                $order = "ORDER BY " . $data['sorting_field'] . " " . $sort;
+            
+        }
+        $where="";
+        if ($data['keyword']) {
+            if ($data['search_field'] == "cellphone") {
+                $where.=" WHERE (tblcollaborator.cellphone LIKE '%" . $data['keyword'] . "%')";
+            } else {
+                $where.=" WHERE (full_name LIKE '%" . $data['keyword'] . "%' OR login_name LIKE '%" . $data['keyword'] . "%') ";
+            }
+        }
+       // $from = date("Y-m-d 00:00:00",$from); 
+        $sql="SELECT *,tblcollaborator.created_time as collaborator_created_time,tbluser.cellphone as user_cellphone,tblcollaborator.cellphone as collaborator_cellphone, tbluser.created_time as user_created_time  FROM ".$this->table_name." INNER JOIN tbluser ON tbluser.collaborator = tblcollaborator.id ".$where." AND tbluser.collaborator = ".$data['id']." ".$order."";
+   
+        $result = $this->db->query($sql)->result_array();
+        foreach ($result as $index=>$paidlog)
+        {
+            $result[$index]['time']=  strtotime($paidlog['user_created_time']);
+        }
+
+        return count($result);
+    }
+        function getCountCollaboratorUsers($data)
+    {
+        $order = "";
+        if ($data['sorting_order'] != "sorting") {
+            
+                $sort = "DESC";
+                if ($data['sorting_order'] == "sorting_asc")
+                    $sort = "ASC";
+                $order = "ORDER BY " . $data['sorting_field'] . " " . $sort;
+            
+        }
+        $where="";
+        if ($data['keyword']) {
+            if ($data['search_field'] == "cellphone") {
+                $where.=" WHERE (tblcollaborator.cellphone LIKE '%" . $data['keyword'] . "%')";
+            } else {
+                $where.=" WHERE (full_name LIKE '%" . $data['keyword'] . "%' OR login_name LIKE '%" . $data['keyword'] . "%') ";
+            }
+        }
+       // $from = date("Y-m-d 00:00:00",$from); 
+        $sql="SELECT *,tblcollaborator.created_time as collaborator_created_time,tbluser.cellphone as user_cellphone,tblcollaborator.cellphone as collaborator_cellphone, tbluser.created_time as user_created_time  FROM ".$this->table_name." INNER JOIN tbluser ON tbluser.collaborator = tblcollaborator.id ".$where." AND tbluser.collaborator = ".$data['id']." ".$order." LIMIT " . $data['start'] . ", " . $data['perpage'] . " ";
+   
+        $result = $this->db->query($sql)->result_array();
+        foreach ($result as $index=>$paidlog)
+        {
+            $result[$index]['time']=  strtotime($paidlog['user_created_time']);
+        }
+
+        return $result;
+    }
+    
     function isExist($data) {
         $sql = "SELECT COUNT(id) as total FROM " . $this->table_name . " WHERE " . $data['field'] . " = '" . $data['value'] . "'";
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php	(revision 463)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php	(revision 464)
@@ -77,10 +77,5 @@
                         <thead>
                             <tr role="row">
-                                <th class="center sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 44px;" aria-label="">
-                                    <label>
-                                        <input type="checkbox" class="ace">
-                                        <span class="lbl"></span>
-                                    </label>
-                                </th>
+                                
                              
                                 <th class="<?php if ($sorting_field == 'full_name') {echo $sorting_order;} else {echo "sorting";}?>" id="full_name" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 183px;" aria-label="Há» tÃªn: activate to sort column ascending">Há» tÃªn</th>
@@ -102,10 +97,5 @@
                                 ?>
                             <tr class="odd">
-                                <td class="center  sorting_1">
-                                    <label>
-                                        <input type="checkbox" class="ace">
-                                        <span class="lbl"></span>
-                                    </label>
-                                </td>
+                                
 
                                 
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/report/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/report/listview.php	(revision 463)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/report/listview.php	(revision 464)
@@ -36,10 +36,5 @@
                         <thead>
                             <tr role="row">
-                                <th class="center sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 44px;" aria-label="">
-                                    <label>
-                                        <input type="checkbox" class="ace">
-                                        <span class="lbl"></span>
-                                    </label>
-                                </th>
+                                
                                 <th class="<?php if ($sorting_field == 'fullname') {echo $sorting_order;} else {echo "";}?>" id="full_name" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Há» tÃªn</th>
                                 <th class="<?php if ($sorting_field == 'cellphone') {echo $sorting_order;} else {echo "sorting";}?>" id="cellphone" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 283px;" aria-label="Há» tÃªn: activate to sort column ascending">Sá» Äiá»n thoáº¡i</th>
@@ -57,10 +52,5 @@
                                 ?>
                             <tr class="odd">
-                                <td class="center  sorting_1">
-                                    <label>
-                                        <input type="checkbox" class="ace">
-                                        <span class="lbl"></span>
-                                    </label>
-                                </td>
+                                
 
                                 <td class=" ">
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/listview.php	(revision 463)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/reportAsistant/listview.php	(revision 464)
@@ -36,10 +36,5 @@
                         <thead>
                             <tr role="row">
-                                <th class="center sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 44px;" aria-label="">
-                                    <label>
-                                        <input type="checkbox" class="ace">
-                                        <span class="lbl"></span>
-                                    </label>
-                                </th>
+                               
                                 <th class="<?php if ($sorting_field == 'full_name') {echo $sorting_order;} else {echo "sorting";}?>" id="full_name" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">TÃªn cá»ng tÃ¡c viÃªn</th>
                                 <th class="<?php if ($sorting_field == 'collaborator_cellphone') {echo $sorting_order;} else {echo "sorting";}?>" id="collaborator_cellphone" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 283px;" aria-label="Há» tÃªn: activate to sort column ascending">Sá» Äiá»n thoáº¡i</th>
@@ -56,10 +51,5 @@
                                 ?>
                             <tr class="odd">
-                                <td class="center  sorting_1">
-                                    <label>
-                                        <input type="checkbox" class="ace">
-                                        <span class="lbl"></span>
-                                    </label>
-                                </td>
+                                
 
                                 <td class=" ">
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/listview.php	(revision 463)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/smstemplate/listview.php	(revision 464)
@@ -74,10 +74,5 @@
                         <thead>
                             <tr role="row">
-                                <th class="center sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 44px;" aria-label="">
-                                    <label>
-                                        <input type="checkbox" class="ace">
-                                        <span class="lbl"></span>
-                                    </label>
-                                </th>
+                                
                              
                                 <th class="<?php if ($sorting_field == 'sms_content') {echo $sorting_order;} else {echo "sorting";}?>" id="sms_content" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 283px;" aria-label="Há» tÃªn: activate to sort column ascending">Máº«u tin nháº¯n</th>
@@ -98,11 +93,5 @@
                                 ?>
                             <tr class="odd">
-                                <td class="center  sorting_1">
-                                    <label>
-                                        <input type="checkbox" class="ace">
-                                        <span class="lbl"></span>
-                                    </label>
-                                </td>
-
+                                
                                 
                                 <td class=" "><?php echo $smstemplate['sms_content']?></td>