Index: pro-violet-viettel/sourcecode/application/modules/frontend/controllers/home.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/controllers/home.php	(revision 465)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/controllers/home.php	(revision 466)
@@ -27,5 +27,5 @@
 			if(isset($_COOKIE[$cookie_name])){
 				$arr_user = parse_str($_COOKIE[$cookie_name]);
-				$user_info = array( 'username' => $arr_user['username'], 'user' => $arr_user['user'], "logined_in" => TRUE);
+				$user_info = array( 'username' => $arr_user['username'], 'user' => $arr_user['user'], 'us_id'=>$arr_user['us_id'], 'logined_in' => TRUE);
 				$this->session->set_userdata('userInfo', $user_info);
 				redirect('/frontend/lecture');
@@ -51,36 +51,17 @@
 			redirect('/frontend/home');
 		}else{
-			$arr_users = explode("&", $data);
-			$str_status = "";
-			$str_fullname = "";
-			$fullname = "";
-			for ($i=0; $i<count($arr_users); $i++)
-			{
-				if (strpos($arr_users[$i], 'status=') !== false)
-				{
-					$str_status = $arr_users[$i];
-				}
-				if (strpos($arr_users[$i], 'fullname=') !== false)
-				{
-					$str_fullname = $arr_users[$i];
-				}
-			}
-			$arr_status = explode("=", $str_status);
-			if ($str_fullname != ""){
-				$arr_fullname = explode("=", $str_fullname);
-				$fullname = $arr_fullname[1];
-			}
-			$status = (int)$arr_status[1];
+			parse_str($data);
 			switch($status)
 			{
 				case 0:
 				case 4:
+					
 					if($autologin == 1){
 						$cookie_name = 'siteCookie';
 						//$cookie_time = 7200;
 						$cookie_time = 3600*24*30;
-						setcookie($cookie_name, 'username='.$username.'&user='.$data, time() + $cookie_time);
+						setcookie($cookie_name, 'username='.$username.'&user='.$data.'&us_id='.$id, time() + $cookie_time);
 					}
-					$userdata = array('username' => $username, 'user'=>$data, "logined_in" => TRUE);
+					$userdata = array('username' => $username, 'user'=>$data,  'us_id'=>$id, 'logined_in' => TRUE);
 					$this->session->set_userdata('userInfo', $userdata);
 					redirect('/frontend/lecture');
@@ -129,4 +110,34 @@
 	}
 	
+	public function change_profile()
+	{
+		$this->load->model('user_model');
+		$sentNumber = '01662860000';
+		$serviceID = 1;
+		$password = '123456';
+		$commandcode = "SBG";
+		$receiveID = '0979947802';
+		$info = "SBG TD";
+		$receiveTime = date("Y-m-d H:i:s");
+		$status = 0;
+		$data = $this->user_model->changeProfile($sentNumber, $receiveID, $password, $serviceID, $commandcode, $info, $receiveTime, $status);
+		echo $data;
+	}
+	
+	public function change_password()
+	{
+		$this->load->model('user_model');
+		$sentNumber = '01662860000';
+		$serviceID = 1;
+		$password = '123456';
+		//$oldpass = '123456';
+		$commandcode = "SBG";
+		//$receiveID = '0979947802';
+		$info = "SBG TD";
+		$receiveTime = date("Y-m-d H:i:s");
+		$status = 0;
+		$data = $this->user_model->changePassword($sentNumber, $password, $serviceID, $commandcode, $info, $receiveTime, $status);
+		echo $data;
+	}
 }
 
Index: pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php	(revision 465)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php	(revision 466)
@@ -3,4 +3,7 @@
 class User extends MX_Controller
 {
+
+	const TOKENPW = 'violet';
+
 	public function __construct()
 	{
@@ -15,5 +18,8 @@
 		{
 			$user = $user_info['user'];
-			$data = $this->get_data($user);
+			$us_id = $user_info['us_id'];
+			$src = "SBG";
+			$token = md5($us_id.self::TOKENPW);
+			$data = $this->get_data($src, $token, $us_id);
 			$this->load->view('frontend/user_profile', $data);
 			
@@ -24,34 +30,21 @@
 	}
 	
-	private function get_data($user)
+	private function get_data($src, $token, $us_id)
 	{
 		$this->load->model('user_model');
-		$arr_users = explode("&", $user);
-		$str_id = $arr_users[0];
-		$str_username = $arr_users[1];
-		$str_fullname = $arr_users[2];
-		$str_gender = $arr_users[3];
-		$str_email = $arr_users[4];
-		$str_phone = $arr_users[5];
-		$str_school = $arr_users[6];
-		$str_province = $arr_users[7];
-		$str_money = $arr_users[8];
-		$str_level = $arr_users[9];
-		$arr_id = explode("=", $str_id);
-		$arr_username = explode("=", $str_username);
-		$arr_fullname = explode("=", $str_fullname);
-		$arr_gender = explode("=", $str_gender);
-		$arr_email = explode("=", $str_email);
-		$arr_phone = explode("=", $str_phone);
-		$arr_school = explode("=", $str_school);
-		$arr_province = explode("=", $str_province);
-		$arr_money = explode("=", $str_money);
-		$arr_level = explode("=", $str_level);
-		$us = $this->user_model->get_user_by_id($arr_id[1]);
-		$data = array('us_id'=>$arr_id[1], 'username'=>$arr_username[1], 'full_name'=>$arr_fullname[1],
-					'gender'=>$arr_gender[1], 'email'=>$arr_email[1], 'phone'=>$arr_phone[1], 'school'=>$arr_school[1],
-					'acc_balanced'=>$us['acc_balanced'], 'expire_date'=>$us['expire_date'], 'date_diff'=>$this->dateDiff($us['expire_date'])
-				);
-		return $data;
+		$user = $this->user_model->get_user_info($src, $token, $us_id);
+		
+		if (strpos($user, '&')){
+			parse_str($user);
+			$us = $this->user_model->get_user_by_id($us_id);
+			$data = array('us_id'=>$us_id, 'username'=>$username, 'fullname'=>$fullname,
+						'gender'=>$gender, 'email'=>$email, 'phone'=>$phone, 'school'=>$school, 'province'=>$province,
+						'acc_balanced'=>$us['acc_balanced'], 'expire_date'=>$us['expire_date'], 'date_diff'=>$this->dateDiff($us['expire_date'])
+					);
+			return $data;
+		}else
+		{
+			return "";
+		}
 	}
 	
@@ -78,3 +71,92 @@
 		
 	}
+	
+	public function update_user()
+	{
+		$this->load->helper('email');
+		$us_id=$this->uri->segment(4);
+		$user_info = $this->session->userdata('userInfo');
+		if ($user_info)
+		{
+			$result = array();
+			$result['success'] = 0;
+			$src = "SBG";
+			$token = md5($us_id.self::TOKENPW);
+			$user = $this->get_data($src, $token, $us_id);
+			$input = $this->input->post();
+			if ($input){
+				$input['username'] = $user['username'];
+				$input['fullname'] = $user['fullname'];
+				$input['password'] = '';
+				$input['oldpass'] = '';
+				$this->load->model('user_model');
+				$result['fullname'] = $input['fullname'];
+				if (strlen($input['email'])>0){
+					if(!valid_email($input['email']))
+					{
+						$result['errors']['email_err'] = "Email khÃŽng ÄÃºng Äá»nh dáº¡ng";
+					}
+				}
+				if (!isset($result['errors'])){
+					$result['data'] = $this->user_model->update_user($src, $token, $input, $us_id);
+					$result['success'] = 1;
+				}
+				echo json_encode($result);
+			}
+			
+		}else
+		{
+			redirect('frontend/home');
+		}
+	}
+	
+	public function change_password()
+	{
+		$us_id=$this->uri->segment(4);
+		$user_info = $this->session->userdata('userInfo');
+		if ($user_info)
+		{
+			$this->load->model('user_model');
+			$us_id = $user_info['us_id'];
+			$src = "SBG";
+			$token = md5($us_id.self::TOKENPW);
+			if (strlen($input['passwd']) == 0)
+			{
+				$result['errors']['passwd_old_err'] = "Máº­t kháº©u khÃŽng ÄÆ°á»£c Äá» trá»ng !";
+			}
+			if (strlen($input['passwd_new']) == 0)
+			{
+				$result['errors']['passwd_new_err'] = "Máº­t kháº©u khÃŽng ÄÆ°á»£c Äá» trá»ng !";
+			}else if($input['passwd'] == $input['passwd_new'])
+			{
+				$result['errors']['passwd_new_err'] = "Máº­t kháº©u trÃ¹ng vá»i máº­t kháº©u hiá»n táº¡i !";
+			}
+			if ($input['passwd_new'] != $input['confirm_passwd_new'])
+			{
+				$result['errors']['confirm_passwd_new_err'] = "Máº­t kháº©u khÃŽng trÃ¹ng nhau !";
+			}
+			if (!isset($result['errors']))
+			{
+				$user = array('username'=>$username, 'fullname'=>null,  );
+				$data = $this->user_model->update_user($src, $token, $user, $us_id);
+				parse_str($data);
+				switch($status)
+				{
+					case 0:
+						$result['success'] = 1;
+						break;
+					case 6:
+						$result['errors']['passwd_old_err'] = "Máº­t kháº©u cung cáº¥p khÃŽng ÄÃºng !";
+						break;
+					default:
+						break;
+				}
+			}
+			
+			echo json_encode($result);
+		}else
+		{
+			redirect('frontend/home');
+		}
+	}
 }
Index: pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php	(revision 465)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php	(revision 466)
@@ -141,3 +141,142 @@
 		}
 	}
+	
+	function get_user_info($src, $token, $us_id)
+	{
+		$data = $this->vservices->actionExecute('getinfo', array('src' => $src, 'us_id' => $us_id, 'token'=>$token), 'user');
+        return $data;
+	}
+	
+	function update_user($src, $token, $user, $us_id)
+	{
+		$data = $this->vservices->actionExecute('update', array('src'=>$src, 'token'=>$token, 'us_id'=>$us_id, 
+																'password'=>$user['password'], 'fullname'=>$user['fullname'], 'gender'=>$user['gender'],
+																'email'=>$user['email'], 'school'=>$user['school'], 'province'=>$user['province'], 'oldpass'=>$user['oldpass']),
+												'user');
+		return $data;
+								
+	}
+	
+	function changeProfile($sentNumber, $receiverID, $password, $serviceID, $commandcode, $info, $receiveTime, &$status)
+	{
+		$username = '';
+		$username = $receiverID;
+		$user = array();
+		$src = 'SBG';
+		$errMsg = '';
+		$sms = "";
+		$this->db->select('*')->from('tbluser')->where('cellphone', $username);
+		$query = $this->db->get();
+		$row = 0;
+		if($query->num_rows() > 0)
+		{
+			$row = $query->row_array();
+			$us_id = $row['us_id'];
+			$token = md5($us_id.self::TOKENPW);
+			$data = $this->vservices->actionExecute('update', array('src'=>$src, 'token'=>$token, 'us_id'=>$us_id, 'username'=>$sentNumber, "password"=>$password, 'oldpass'=>$password), 'user');
+			parse_str($data);
+			switch((int)$status)
+			{
+				case 0:
+					$us_id = $id;
+					$user['updated_time'] = $receiveTime;
+					$user['us_id'] = $us_id;
+					$user['cellphone'] = $sentNumber;
+					$user['collaborator'] = $collaborator;
+					$this->db->where('us_id', $us_id);
+					$this->db->update('tbluser', $user);
+					$sms = "Qui vi da doi so dien thoai tren soanbaigiang.smas.vn sang so dien thoai [".$sentNumber."]";
+					$status = 1;
+					break;
+				case 5:
+					$sms = "So dien thoai cá»§a Qui vi chua duoc dang ky !";
+					$status = 0;
+					break;
+				case 6:
+					$sms = "Mat khau cua qui vi khong dung !";
+					$status = 0;
+					break;
+				default:
+					$status = 0;
+					$sms = $errMsg;
+					break;				
+			}
+		}else
+		{
+			$sms = "So dien thoai cá»§a Qui vi chua duoc dang ky !";
+			$status = 0;
+		}
+		return $status.'|'.$sms;
+	}
+	
+	function changePassword($sentNumber, $password, $serviceID, $commandcode, $info, $receiveTime, &$status)
+	{
+		$username = $sentNumber;
+		$user = array();
+		$src = 'SBG';
+		$errMsg = '';
+		$sms = "";
+		$flag = false;
+		$pass = $password;
+		if (is_null($password) || $password = "")
+		{
+			$pass = $this->create_random_password();
+			$flag = true;
+		}
+		$this->db->select('*')->from('tbluser')->where('cellphone', $username);
+		$query = $this->db->get();
+		$row = 0;
+		if($query->num_rows() > 0)
+		{
+			$row = $query->row_array();
+			$us_id = $row['us_id'];
+			$token = md5($us_id.self::TOKENPW);
+			$data = $this->vservices->actionExecute('update', array('src'=>$src, 'token'=>$token, 'us_id'=>$us_id, "password"=>$pass), 'user');
+			parse_str($data);
+			switch((int)$status)
+			{
+				case 0:
+					$us_id = $id;
+					$user['updated_time'] = $receiveTime;
+					$user['us_id'] = $us_id;
+					$user['cellphone'] = $sentNumber;
+					$this->db->where('us_id', $us_id);
+					$this->db->update('tbluser', $user);
+					if ($flag)
+					{
+						$sms = "Mat khau moi cua quy vi tren soanbaigiang.smas.vn la [".$password."]";
+					}else{
+						$sms = "Qui vi da doi thanh cong mat khau tren soanbaigiang.smas.vn. ";
+					}
+					$status = 1;
+					break;
+				case 5:
+					$sms = "So dien thoai cá»§a Qui vi da duoc dang ky !";
+					$status = 0;
+					break;
+				default:
+					$status = 0;
+					$sms = $errMsg;
+					break;	
+			}
+		}
+		else
+		{
+			$sms = "So dien thoai cá»§a Qui vi da duoc dang ky !";
+			$status = 0;
+		}
+		return $status.'|'.$sms;
+	}
+	
+	function insert_smslog($sentNumber, $userID, $serviceID, $commandcode, $info, $receiveTime)
+	{
+		$smslog = array();
+		$smslog['sender'] = $sentNumber;
+		$smslog['us_id'] = $userID;
+		$smslog['service_id'] = $serviceID;
+		$smslog['commandcode'] = $commandcode;
+		$smslog['info'] = $info;
+		$smslog['created_time'] = $receiveTime;
+		$this->db->insert('tblsmslog', $smslog);
+	}
 }
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 465)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 466)
@@ -1,6 +1,10 @@
 <?php
+$base_url = base_url();
+$this->load->view('layout/frontend/header', array('base_url' => $base_url, '$username'=>@$username));
+$this->load->view('layout/frontend/sidebar', array('base_url' => $base_url));
+/*
 $this->load->view('layout/frontend/header', array('base_url'=>base_url(), '$username'=>$username));
 $base_url = base_url();
-$this->load->view('layout/frontend/sidebar');
+$this->load->view('layout/frontend/sidebar', array('base_url'=>base_url()));*/
 ?>
 <div class="main-content">
@@ -12,5 +16,5 @@
 				<small>
 					<i class="icon-double-angle-right"></i>
-					<?php echo $username; ?>
+					<?php echo @$username; ?>
 				</small>
 			</h1>
@@ -61,5 +65,5 @@
 
 														<div class="col-sm-8">
-															<input type="text" name="login_name" value="<?php echo $username; ?>" placeholder="TÃ i khoáº£n" id="form-field-username" class="col-xs-12 col-sm-10" disabled>
+															<input type="text" name="username" value="<?php echo @$username; ?>" placeholder="TÃ i khoáº£n" id="form-field-username" class="col-xs-12 col-sm-10" disabled>
 														</div>
 													</div>
@@ -71,5 +75,5 @@
 
 														<div class="col-sm-8">
-															<input type="text" name="full_name" value="<?php echo $full_name; ?>" placeholder="Há»" id="form-field-first" class="col-xs-12 col-sm-10">
+															<input type="text" name="fullname" value="<?php echo @$fullname; ?>" placeholder="Há»" id="form-field-first" class="col-xs-12 col-sm-10" disabled>
 								
 														</div>
@@ -82,5 +86,15 @@
 
 														<div class="col-sm-8">
-															<input type="text" name="school" value="<?php echo $school; ?>" placeholder="ÄÆ¡n vá»" id="form-field-username" class="col-xs-12 col-sm-10">
+															<input type="text" name="school" value="<?php echo @$school; ?>" placeholder="ÄÆ¡n vá»" id="form-field-username" class="col-xs-12 col-sm-10">
+														</div>
+													</div>
+													
+													<div class="space-4"></div>
+
+													<div class="form-group">
+														<label for="form-field-username" class="col-sm-4 control-label no-padding-right">Tá»nh / ThÃ nh phá»</label>
+
+														<div class="col-sm-8">
+															<input type="text" name="province" value="<?php echo @$province; ?>" placeholder="Tá»nh / ThÃ nh phá»" id="form-field-username" class="col-xs-12 col-sm-10">
 														</div>
 													</div>
@@ -98,5 +112,5 @@
 												<div class="col-sm-9">
 													<label class="inline">
-														<input type="radio" class="ace" name="form-field-radio">
+														<input type="radio" <?php if(@$gender=="male") echo "checked"; ?> class="ace" name="gender" value="male">
 														<span class="lbl"> Nam</span>
 													</label>
@@ -104,5 +118,5 @@
 													&nbsp; &nbsp; &nbsp;
 													<label class="inline">
-														<input type="radio" class="ace" name="form-field-radio">
+														<input type="radio" <?php if(@$gender=="female") echo "checked"; ?> class="ace" name="gender" value="female">
 														<span class="lbl"> Ná»¯</span>
 													</label>
@@ -117,8 +131,11 @@
 
 												<div class="col-sm-9">
-													<span class="input-icon input-icon-right">
-														<input name="email" type="email" value="<?php echo $email; ?>" id="form-field-email">
-														<i class="icon-envelope"></i>
-													</span>
+													<label class="block clearfix has-error">
+														<span class="input-icon input-icon-right">
+															<input name="email" type="email" value="<?php echo @$email; ?>" id="form-field-email">
+															<i class="icon-envelope"></i>
+														</span>
+														<div class="help-block" id="email_err"> </div>
+													</label>
 												</div>
 											</div>
@@ -126,5 +143,5 @@
 											<div class="clearfix form-actions">
 												<div class="col-md-offset-3 col-md-9">
-													<button type="button" onclick="return updateInfo();" class="btn btn-info">
+													<button type="button" onclick="return updateInfo(<?php echo @$us_id; ?>);" class="btn btn-info">
 														<i class="icon-ok bigger-110"></i>
 														Cáº­p nháº­t
@@ -137,58 +154,10 @@
 									
 									<div class="tab-pane" id="edit-password">
-										<form id="frm2" class="form-horizontal" role="form">
-											<div class="form-group">
-												<label for="form-field-passwd" class="col-sm-3 control-label no-padding-right">Máº­t kháº©u hiá»n táº¡i</label>
-												<div class="col-sm-9">
-													<label class="block clearfix has-error">
-														<span class="input-icon">
-															<input type="password" name="passwd" id="form-field-pass1">
-															<i class="icon-lock blue"></i>
-														</span>
-					
-														<div class="help-block" id="passwd_old_err"> </div>
-													</label>
-													
-												</div>
-											</div>
-											
-											<div class="form-group">
-												<label for="form-field-pass1" class="col-sm-3 control-label no-padding-right">Máº­t kháº©u má»i</label>
-
-												<div class="col-sm-9">
-													<label class="block clearfix has-error">
-														<span class="input-icon">
-															<input type="password" name="passwd_new" id="form-field-pass1">
-															<i class="icon-lock blue"></i>
-														</span>
-														<div class="help-block" id="passwd_new_err"> </div>
-													</label>
-												</div>
-											</div>
-
-											<div class="space-4"></div>
-
-											<div class="form-group">
-												<label for="form-field-pass2" class="col-sm-3 control-label no-padding-right">XÃ¡c nháº­n máº­t kháº©u má»i</label>
-
-												<div class="col-sm-9">
-													<label class="block clearfix has-error">
-														<span class="input-icon">
-															<input type="password" name="confirm_passwd_new" id="form-field-pass2">
-														</span>
-														<div class="help-block" id="confirm_passwd_new_err"> </div>
-													</label>
-												</div>
-											</div>
-											<div class="clearfix form-actions">
-												<div class="col-md-offset-3 col-md-9">
-													<button type="button" onclick="return changePassword();"  class="btn btn-info">
-														<i class="icon-ok bigger-110"></i>
-														Thay Äá»i máº­t kháº©u
-													</button>
-												</div>
-											</div>
-											
-											</form>
+										<div class="alert alert-block alert-success">						
+											<p>
+												Äá» thay Äá»i máº­t kháº©u, quÃ­ vá» vui lÃ²ng soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK [matkhaumoi] gá»­i tá»i 8162</strong>. <br/>
+												Trong trÆ°á»ng há»£p quÃªn máº­t kháº©u, quÃ­ vá» vui lÃ²ng soan tin theo cÃº phÃ¡p: <strong>SBG MK gá»­i tá»i 8162</strong>.
+											</p>
+										</div>
 									</div>
 
@@ -197,5 +166,5 @@
 											<h4 class="header blue bolder smaller">ThÃŽng tin tÃ i khoáº£n</h4>
 											<div class="col-sm-6">
-												<h4>Sá» tiá»n </h4> <h3><?php echo $acc_balanced; ?> VND</h3>
+												<h4>Sá» tiá»n </h4> <h3><?php echo number_format(@$acc_balanced, 0); ?> VND</h3>
 											</div>
 											<div class="col-sm-6">
@@ -327,4 +296,4 @@
 		
 <?php
-$this->load->view('layout/frontend/footer');
+$this->load->view('layout/frontend/footer', array('base_url' => $base_url, 'usjs' => array('assets/js/frontend/user.js')));
 ?>
Index: pro-violet-viettel/sourcecode/application/views/layout/frontend/footer.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/frontend/footer.php	(revision 465)
+++ pro-violet-viettel/sourcecode/application/views/layout/frontend/footer.php	(revision 466)
@@ -78,4 +78,17 @@
 			});
 		</script>
+		</script>
+                <?php
+                if (isset($usjs))
+                {
+                foreach ($usjs as $file)
+                {
+                ?>
+                <script type="text/javascript" src="<?php echo $base_url;?><?php echo $file?>"></script>
+                <?php
+                }
+                }
+                ?>
+		<script>
 	</body>
 </html>
Index: pro-violet-viettel/sourcecode/application/views/layout/frontend/header.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/frontend/header.php	(revision 465)
+++ pro-violet-viettel/sourcecode/application/views/layout/frontend/header.php	(revision 466)
@@ -50,5 +50,5 @@
 								<span class="user-info">
 									<small>Xin chÃ o,</small>
-									<?php echo $username; ?>
+									<?php echo @$username; ?>
 								</span>
 
Index: pro-violet-viettel/sourcecode/application/views/layout/frontend/sidebar.php
===================================================================
--- pro-violet-viettel/sourcecode/application/views/layout/frontend/sidebar.php	(revision 465)
+++ pro-violet-viettel/sourcecode/application/views/layout/frontend/sidebar.php	(revision 466)
@@ -1,7 +1,4 @@
-<?php $base_url = base_url();?>
-		<div class="main-container" id="main-container">
-			<script type="text/javascript">
-				try{ace.settings.check('main-container' , 'fixed')}catch(e){}
-			</script>
+<?php $base_url = base_url(); ?>
+	<div class="main-container" id="main-container">
 
 			<div class="main-container-inner">
@@ -11,7 +8,4 @@
 
 				<div class="sidebar sidebar-fixed" id="sidebar">
-					<script type="text/javascript">
-						try{ace.settings.check('sidebar' , 'fixed')}catch(e){}
-					</script>
 
 					<div class="sidebar-shortcuts" id="sidebar-shortcuts">