Index: /pro-violet-viettel/sourcecode/application/config/routes.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/config/routes.php	(revision 477)
+++ /pro-violet-viettel/sourcecode/application/config/routes.php	(revision 478)
@@ -85,14 +85,10 @@
 $route['admin/thong_ke_cong_tac_vien'] = 'admin/reportAsistant';
 $route['admin/thong_ke_cong_tac_vien/trang'] = 'admin/reportAsistant/getCollaborators/1';
+$route['admin/thong_ke_cong_tac_vien/trang_ctv/:any/:any'] = 'admin/reportAsistant/getCollaboratorsUsers/$1';
+$route['admin/thong_ke_cong_tac_vien/trang_ctv/:any'] = 'admin/reportAsistant/getCollaboratorsUsers/$1';
 $route['admin/thong_ke_cong_tac_vien/trang/:any'] = 'admin/reportAsistant/getCollaborators/$1';
 $route['admin/thong_ke_cong_tac_vien/them'] = 'admin/reportAsistant/addSmstemplate';
 $route['admin/thong_ke_cong_tac_vien/:any'] = 'admin/reportAsistant/viewAsistant';
 
-$route['admin/thong_ke_cong_tac_vien/test'] = 'admin/reportAsistant/test';
-$route['admin/thong_ke_cong_tac_vien/xem/:any'] = 'admin/reportAsistant/viewSms';
-$route['admin/thong_ke_cong_tac_vien/sua/:any'] = 'admin/reportAsistant/editSms';
-$route['admin/thong_ke_cong_tac_vien/xoa/:any'] = 'admin/reportAsistant/deleteSms';
-$route['admin/thong_ke_cong_tac_vien/xoa_tin_nhan'] = 'admin/reportAsistant/dodeleteSms';
-$route['admin/thong_ke_cong_tac_vien/cap_nhat'] = 'admin/reportAsistant/updateSms';
 
 
Index: /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportAsistant.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportAsistant.php	(revision 477)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportAsistant.php	(revision 478)
@@ -27,10 +27,12 @@
     { 
         $data = array();
-        $id=$this->uri->segment(3);
+        
         $admin_info = $this->session->userdata('adminInfo');
         if ($admin_info) {
+            $id=$this->uri->segment(3);
+             $data['id']=$id;
             $data['statistics'] = $this->getStatistics($id);
             $data['content'] = $this->getCollaboratorsUsers(array(),$id);
-            $this->load->view('reportAsistant/index', $data);
+            $this->load->view('reportAsistant/indexCollaborator', $data);
         } else {
             $this->load->view('login');
@@ -149,11 +151,19 @@
     
     public function getCollaboratorsUsers($filters = array(),$id=false) {
-
+    
         $this->load->helper('pagging');
         $this->load->model('collabolator_model');
-        $data['current_page'] = $this->uri->segment(4, 1);
+        $data['current_page'] = $this->uri->segment(5, 1);
+  
         $data['itemsoptions'] = array(10, 25, 50, 100);
         $data['perpage'] = 10;
+        if (!$id)
+        {
+            $data['id']= $this->uri->segment(4, 1);
+        }
+        else {
         $data['id']=$id;
+        }
+              
         $data['keyword'] = "";
         $data['sorting_order'] = "sorting_desc";
@@ -182,5 +192,5 @@
         $data['paidlogs'] = $this->collabolator_model->getCountCollaboratorUsers($data);
 
-        $data['paging_url'] = base_url() . "/admin/thong_ke_cong_tac_vien/trang/";
+        $data['paging_url'] = base_url() . "/admin/thong_ke_cong_tac_vien/trang_ctv/".$data['id'];
         $data['num_links'] = 2;
         $data['paging'] = pagging($data);
@@ -197,4 +207,5 @@
         $this->load->model('user_model');
         $data = $this->user_model->get_user_info($src, $us_id, $token);
+       
         if (strlen($data) > 0) {
             $arr_users = explode("&", $data);
Index: /pro-violet-viettel/sourcecode/application/modules/admin/models/collabolator_model.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/models/collabolator_model.php	(revision 477)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/models/collabolator_model.php	(revision 478)
@@ -123,7 +123,5 @@
         if ($data['keyword']) {
             if ($data['search_field'] == "cellphone") {
-                $where.=" WHERE (tblcollaborator.cellphone LIKE '%" . $data['keyword'] . "%')";
-            } else {
-                $where.=" WHERE (full_name LIKE '%" . $data['keyword'] . "%' OR login_name LIKE '%" . $data['keyword'] . "%') ";
+                $where.=" WHERE (tbluser.cellphone LIKE '%" . $data['keyword'] . "%')";
             }
         }
@@ -153,12 +151,9 @@
         if ($data['keyword']) {
             if ($data['search_field'] == "cellphone") {
-                $where.=" WHERE (tblcollaborator.cellphone LIKE '%" . $data['keyword'] . "%')";
-            } else {
-                $where.=" WHERE (full_name LIKE '%" . $data['keyword'] . "%' OR login_name LIKE '%" . $data['keyword'] . "%') ";
-            }
+                $where.=" WHERE (tbluser.cellphone LIKE '%" . $data['keyword'] . "%')";
+            } 
         }
        // $from = date("Y-m-d 00:00:00",$from); 
         $sql="SELECT *,tblcollaborator.created_time as collaborator_created_time,tbluser.cellphone as user_cellphone,tblcollaborator.cellphone as collaborator_cellphone, tbluser.created_time as user_created_time  FROM ".$this->table_name." INNER JOIN tbluser ON tbluser.collaborator = tblcollaborator.id ".$where." AND tbluser.collaborator = ".$data['id']." ".$order." LIMIT " . $data['start'] . ", " . $data['perpage'] . " ";
-   
         $result = $this->db->query($sql)->result_array();
         foreach ($result as $index=>$paidlog)