Index: pro-violet-viettel/docs/template/frontend-user_profile.html
===================================================================
--- pro-violet-viettel/docs/template/frontend-user_profile.html	(revision 400)
+++ pro-violet-viettel/docs/template/frontend-user_profile.html	(revision 484)
@@ -3,5 +3,5 @@
 	<head>
 		<meta charset="utf-8" />
-		<title>SBG Online</title>
+		<title>SOáº N BÃI GIáº¢NG ONLINE</title>
 
 		<meta name="description" content="overview &amp; stats" />
@@ -19,4 +19,5 @@
 		<script src="assets/js/ace-extra.min.js"></script>
 
+		<link href="assets/css/custom.css" rel="stylesheet" />
 		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
 
@@ -29,8 +30,4 @@
 	<body>
 		<div class="navbar navbar-default navbar-fixed-top" id="navbar">
-			<script type="text/javascript">
-				try{ace.settings.check('navbar' , 'fixed')}catch(e){}
-			</script>
-
 			<div class="navbar-container" id="navbar-container">
 				<div class="navbar-header pull-left">
@@ -44,5 +41,4 @@
 						<li>
 							<a data-toggle="dropdown" href="#" class="dropdown-toggle">
-								<img class="nav-user-photo" src="assets/avatars/user.jpg" alt="Admin's Photo" />
 								<span class="user-info">
 									<small>Xin chÃ o,</small>
@@ -77,8 +73,4 @@
 
 		<div class="main-container" id="main-container">
-			<script type="text/javascript">
-				try{ace.settings.check('main-container' , 'fixed')}catch(e){}
-			</script>
-
 			<div class="main-container-inner">
 				<a class="menu-toggler" id="menu-toggler" href="#">
@@ -86,9 +78,5 @@
 				</a>
 
-				<div class="sidebar sidebar-fixed" id="sidebar">
-					<script type="text/javascript">
-						try{ace.settings.check('sidebar' , 'fixed')}catch(e){}
-					</script>
-					
+				<div class="sidebar sidebar-fixed" id="sidebar">				
 					<nav class="navbar navbar-minimal animate open" role="navigation" style="background:transparent">
 						<ul class="navbar-menu animate">
@@ -100,11 +88,11 @@
 							</li>
 							<li>
-								<a href="http://space.violet.vn" class="animate">
-									<span class="desc animate"> Violet Space </span>
-									<img src="assets/img/logo_Violet_space_black_box.png" width="28" class="img-responsive pull-right">
+								<a href="frontend-user_profile.html#account-info" class="animate">
+									<span class="desc animate"> Thanh toÃ¡n </span>
+									<img src="assets/img/payment.png" width="28" class="img-responsive pull-right">
 								</a>
-							</li>
+							</li>							
 							<li>
-								<a href="user_profile.html" class="animate">
+								<a href="frontend-user_profile.html" class="animate">
 									<span class="desc animate"> ThÃŽng tin cÃ¡ nhÃ¢n </span>
 									<img src="assets/img/profile.png" width="28" class="img-responsive pull-right">
@@ -156,5 +144,4 @@
 														</a>
 													</li>
-
 													<li>
 														<a href="#account-info" data-toggle="tab">
@@ -163,4 +150,10 @@
 														</a>
 													</li>
+													<li>
+														<a href="#services-register" data-toggle="tab">
+															<i class="blue icon-cog bigger-125"></i>
+															ÄÄng kÃœ dá»ch vá»¥
+														</a>
+													</li>
 												</ul>
 
@@ -171,7 +164,4 @@
 
 															<div class="row">
-																<div class="col-xs-12 col-sm-4">
-																	<div class="ace-file-input ace-file-multiple"><input type="file"><a href="#" class="remove"><i class="icon-remove"></i></a></div>
-																</div>
 
 																<div class="vspace-xs"></div>
@@ -328,5 +318,4 @@
 													</div>
 
-													
 													<div class="tab-pane" id="edit-password">
 														<form class="form-horizontal">
@@ -378,5 +367,5 @@
 															</div>
 
-															<h4 class="header blue bolder smaller">Náº¡p tiá»n báº±ng tháº» cÃ o</h4>
+															<h4 class="header blue bolder smaller">Náº¡p tiá»n báº±ng tháº» cÃ o Viettel</h4>
 															<div class="col-sm-8">
 																<div class="form-group">
@@ -420,4 +409,85 @@
 													</div>
 
+													<div class="tab-pane" id="services-register">
+														<form class="form-horizontal">
+															<h4 class="header blue bolder smaller">ThÃŽng tin tÃ i khoáº£n</h4>
+															<div class="col-sm-6">
+																<h4>Sá» tiá»n </h4> <h3>10.000.000 VND</h3>
+															</div>
+															<div class="col-sm-6">
+																<form>
+																	<div class="form-group">
+																		<label for="form-field-first" class="col-sm-4 control-label no-padding-right">Há» vÃ  tÃªn</label>
+
+																		<div class="col-sm-8">
+																			<input type="text" value="" placeholder="Há»" id="form-field-first" class="input-small">
+																			<input type="text" value="" placeholder="TÃªn" id="form-field-last" class="input-small">
+																		</div>
+																	</div>
+
+																	<div class="space-4"></div>
+
+																	<div class="form-group">
+																		<label for="form-field-username" class="col-sm-4 control-label no-padding-right">ÄÆ¡n vá»</label>
+
+																		<div class="col-sm-8">
+																			<input type="text" placeholder="ÄÆ¡n vá»" id="form-field-username" class="col-xs-12 col-sm-10">
+																		</div>
+																	</div>
+																</form>
+															</div>
+															<h4 class="header blue bolder smaller">ÄÄng kÃœ dá»ch vá»¥</h4>
+															<h5>CÃ¡ch 1: Má»i quÃ­ vá» chá»n cÃ¡c gÃ³i dá»ch vá»¥ sau</h5>
+											      	<div class="alert alert-block alert-success">						
+																<table class="table">
+																	<tbody>
+																		<tr>
+																			<td>1 thÃ¡ng</td>
+																			<td>15.000 VNÄ</td>
+																			<td class="center">
+																				<label>
+																					<input type="radio" name="payment-option" class="ace" />
+																					<span class="lbl"></span>
+																				</label>
+																			</td>
+																		</tr>
+																		<tr>
+																			<td>3 thÃ¡ng</td>
+																			<td>40.000 VNÄ</td>
+																			<td class="center">
+																				<label>
+																					<input type="radio" name="payment-option" class="ace" />
+																					<span class="lbl"></span>
+																				</label>
+																			</td>
+																		</tr>
+																		<tr>
+																			<td>6 thÃ¡ng</td>
+																			<td>70.000 VNÄ</td>
+																			<td class="center">
+																				<label>
+																					<input type="radio" name="payment-option" class="ace" />
+																					<span class="lbl"></span>
+																				</label>
+																			</td>
+																		</tr>
+																		<tr>
+																			<td>12 thÃ¡ng</td>
+																			<td>130.000 VNÄ</td>
+																			<td class="center">
+																				<label>
+																					<input type="radio" name="payment-option" class="ace" />
+																					<span class="lbl"></span>
+																				</label>
+																			</td>
+																		</tr>
+																	</tbody>
+																</table>
+															<button type="button" class="btn btn-success">ÄÄng kÃœ</button>
+															</div>
+															<h5>CÃ¡ch 2</h5>
+															<h4>Soáº¡n tin: SBG DK 1 (hay 3, 6, 12) gá»­i tá»i 8062</h4>
+														</form>
+													</div>
 												</div>
 											</div>
@@ -449,12 +519,5 @@
 								<thead>
 									<tr>
-										<th class="center">
-											<label>
-												<input type="checkbox" class="ace" />
-												<span class="lbl"></span>
-											</label>
-										</th>
 										<th>Sá» tiá»n</th>
-
 										<th>
 											<i class="icon-time bigger-110 hidden-480"></i>
@@ -466,10 +529,4 @@
 								<tbody>
 									<tr>
-										<td class="center">
-											<label>
-												<input type="checkbox" class="ace" />
-												<span class="lbl"></span>
-											</label>
-										</td>
 										<td>$45</td>
 										<td>Feb 12</td>
@@ -553,40 +610,4 @@
 		<script type="text/javascript">
 			jQuery(function($) {
-			
-				///////////////////////////////////////////
-				$('#user-profile-3')
-				.find('input[type=file]').ace_file_input({
-					style:'well',
-					btn_choose:'HÃ¬nh Äáº¡i diá»n',
-					btn_change:null,
-					no_icon:'icon-picture',
-					thumbnail:'large',
-					droppable:true,
-					before_change: function(files, dropped) {
-						var file = files[0];
-						if(typeof file === "string") {//files is just a file name here (in browsers that don't support FileReader API)
-							if(! (/\.(jpe?g|png|gif)$/i).test(file) ) return false;
-						}
-						else {//file is a File object
-							var type = $.trim(file.type);
-							if( ( type.length > 0 && ! (/^image\/(jpe?g|png|gif)$/i).test(type) )
-									|| ( type.length == 0 && ! (/\.(jpe?g|png|gif)$/i).test(file.name) )//for android default browser!
-								) return false;
-			
-							if( file.size > 110000 ) {//~100Kb
-								return false;
-							}
-						}
-			
-						return true;
-					}
-				})
-				.end().find('button[type=reset]').on(ace.click_event, function(){
-					$('#user-profile-3 input[type=file]').ace_file_input('reset_input');
-				})
-				.end().find('.date-picker').datepicker().next().on(ace.click_event, function(){
-					$(this).prev().focus();
-				})
-			
 
 				////////////////////